cdac.medinfo.sdk.hl7282.baselibs

## Class NA

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.CompositeDataType
  - - cdac.medinfo.sdk.hl7282.baselibs.NA

- All Implemented Interfaces:
    IDataType

      public class NA
      extends CompositeDataType

  NA - Numeric Array

  This data type type is used to represent a series (array) of numeric values. A field of this type may contain a one-dimensional array (vector or row) of numbers.

  Represents an HL7 NA data type. This data type has the following attributes:

  1. Value1 (NM)Optional
  2. Value2 (NM)Optional
  3. Value3 (NM)Optional
  4. Value4 (NM)Optional

  This class provides accessors & mutators for the elements mentioned above. This class override the equal method, to check whether some other object is "equal to" this one.

  User can also create Data Type through `DataElementFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NA()` Default Constructor for NA
    `NA(int iComponentType, IDataTypeMap objIDataTypeMap)` Constructor for NA class which takes two arguments and sets the value in the respective member variable.
    `NA(int iComponentType, int iMinLength, int iMaxLength, java.lang.String strCLength, IDataTypeMap objIDataTypeMap)` Constructor for NA class which takes five arguments and sets the value in the respective member variable.
    `NA(int iComponentType, int iMinLength, int iMaxLength, java.lang.String strCLength, int ITableNo, IDataTypeMap objIDataTypeMap)` Constructor for NA class which takes six arguments and sets the value in the respective member variable.
    `NA(int iMinLength, int iMaxLength, java.lang.String strCLength, int iComponentType)` Constructor for NA class which takes four arguments and sets the value in the respective member variable.
    `NA(int iMinLength, int iMaxLength, java.lang.String strCLength, int iTableNo, int iComponentType)` Constructor for NA class which takes five arguments and sets the value in the respective member variable.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object objObject)` This method checks the equality of Object.
    `NM` | `getValue1()` Returns object of Value1.
    `NM` | `getValue2()` Returns object of Value2.
    `NM` | `getValue3()` Returns object of Value3.
    `NM` | `getValue4()` Returns object of Value4.
    `void` | `setValue1(NM objNM)` Sets the value of single element.
    `void` | `setValue1(java.lang.String strValue1)` Sets the value of single element.
    `void` | `setValue2(NM objNM)` Sets the value of single element.
    `void` | `setValue2(java.lang.String strValue2)` Sets the value of single element.
    `void` | `setValue3(NM objNM)` Sets the value of single element.
    `void` | `setValue3(java.lang.String strValue3)` Sets the value of single element.
    `void` | `setValue4(NM objNM)` Sets the value of single element.
    `void` | `setValue4(java.lang.String strValue4)` Sets the value of single element.

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.CompositeDataType

      `copy, dumpDataType, getAttributes, getDataTypeName, getLength, getValue, isPrimitive, read, setValue, validate, write, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NA

          public NA()

      Default Constructor for NA

    - #### NA

          public NA(int iMinLength,
            int iMaxLength,
            java.lang.String strCLength,
            int iComponentType)
             throws InvalidComponentTypeException

      Constructor for NA class which takes four arguments and sets the value in the respective member variable.
      Parameters:
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### NA

          public NA(int iMinLength,
            int iMaxLength,
            java.lang.String strCLength,
            int iTableNo,
            int iComponentType)
             throws InvalidComponentTypeException

      Constructor for NA class which takes five arguments and sets the value in the respective member variable.
      Parameters:
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iTableNo` - The Table number to which the value for the component is specified.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### NA

          public NA(int iComponentType,
            IDataTypeMap objIDataTypeMap)

      Constructor for NA class which takes two arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### NA

          public NA(int iComponentType,
            int iMinLength,
            int iMaxLength,
            java.lang.String strCLength,
            IDataTypeMap objIDataTypeMap)

      Constructor for NA class which takes five arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### NA

          public NA(int iComponentType,
            int iMinLength,
            int iMaxLength,
            java.lang.String strCLength,
            int ITableNo,
            IDataTypeMap objIDataTypeMap)

      Constructor for NA class which takes six arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iTableNo` - The Table number to which the value for the component is specified.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

  - ### Method Detail

    - #### setValue1

          public void setValue1(java.lang.String strValue1)

      Sets the value of single element.
      Parameters:
        `strValue1` - value of single element.

    - #### setValue1

          public void setValue1(NM objNM)

      Sets the value of single element.
      Parameters:
        `objNM` - value of single element.

    - #### setValue2

          public void setValue2(java.lang.String strValue2)

      Sets the value of single element.
      Parameters:
        `strValue2` - value of single element.

    - #### setValue2

          public void setValue2(NM objNM)

      Sets the value of single element.
      Parameters:
        `objNM` - value of single element.

    - #### setValue3

          public void setValue3(java.lang.String strValue3)

      Sets the value of single element.
      Parameters:
        `strValue3` - value of single element.

    - #### setValue3

          public void setValue3(NM objNM)

      Sets the value of single element.
      Parameters:
        `objNM` - value of single element.

    - #### setValue4

          public void setValue4(java.lang.String strValue4)

      Sets the value of single element.
      Parameters:
        `strValue4` - value of single element.

    - #### setValue4

          public void setValue4(NM objNM)

      Sets the value of single element.
      Parameters:
        `objNM` - value of single element.

    - #### getValue1

          public NM getValue1()

      Returns object of Value1.
      Returns:
        NM representation of value1.

    - #### getValue2

          public NM getValue2()

      Returns object of Value2.
      Returns:
        NM representation of value2.

    - #### getValue3

          public NM getValue3()

      Returns object of Value3.
      Returns:
        NM representation of value3.

    - #### getValue4

          public NM getValue4()

      Returns object of Value4.
      Returns:
        NM representation of value4.

    - #### equals

          public boolean equals(java.lang.Object objObject)

      This method checks the equality of Object.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `objObject` - object of Object class.
      Returns:
        boolean - shows success or failure of the comparison.